Example request
POST https://api.jupiter-erp.com/api/account/credit-notes/example-id/document-links
Code
curl -X POST 'https://api.jupiter-erp.com/api/account/credit-notes/example-id/document-links' \
-H 'Authorization: Bearer YOUR_API_TOKEN' \
-H 'X-Account-Uuid: YOUR_ACCOUNT_UUID' \
-H 'Accept: application/json' \
-H 'Content-Type: application/json' \
-d '{
"target": {
"type": "quote",
"id": 0
}
}'Parameters
| Name | In | Required | Description |
|---|---|---|---|
| id | path | yes | — |
Request body
Required
Create a manual related link from the route document to the target
| Field | Type | Description | |||||||||
|---|---|---|---|---|---|---|---|---|---|---|---|
| target* | object | Polymorphic reference to a business document in the account Polymorphic reference to a business document in the account
|
Example request
{
"target": {
"type": "quote",
"id": 0
}
}Responses
201Created
Summary of a document linked to the current document (for display in detail views)
| Field | Type | Description |
|---|---|---|
| date | string | Date in Y-m-d format |
| formatted_number | string | — |
| id* | integer | — |
| link_id* | integer | ID of the link row (for deleting manual related links) |
| link_type* | string | derived_from = target was created from source; related = manual association (bidirectional) string
|
| status* | string | — |
| type* | string | string
|
Example response
{
"link_id": 0,
"type": "quote",
"id": 0,
"formatted_number": "string",
"date": "2025-01-14T00:00:00.000Z",
"status": "string",
"link_type": "derived_from"
}403Forbidden (e.g. cannot delete derived_from via wrong endpoint)
No JSON schema documented.
Credit Notes